# $Id: smeserver-zarafa.spec,v 1.25 2008/12/22 02:50:47 dungog Exp $
# Authority: dmay
# Name: Darrell May

%define name smeserver-zarafa
%define version 0.9.0
%define release 22
Summary: smserver rpm to setup zarafa
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-zarafa-0.9.0-removephp.patch
Patch3: smeserver-zarafa-0.9.0-props.patch
Patch4: smeserver-zarafa-0.9.0-ports.patch
Patch5: smeserver-zarafa-0.9.0-smessl.patch
Patch6: smeserver-zarafa-0.9.0-smessl2.patch
Patch7: smeserver-zarafa-0.9.0-smessl3.patch
Patch8: smeserver-zarafa-0.9.0-ldap.patch
Patch9: smeserver-zarafa-0.9.0-userprop1.patch
Patch10: smeserver-zarafa-0.9.0-services2.patch
Patch11: smeserver-zarafa-0.9.0-ports2.patch
Patch12: smeserver-zarafa-0.9.0-http.patch
Patch13: smeserver-zarafa-0.9.0-ldap2.patch
Patch14: smeserver-zarafa-0.9.0-shutdown4.patch
Patch15: smeserver-zarafa-0.9.0-shutdown5.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 7.0
Requires: zarafa = 6.20
AutoReqProv: no

%description
smserver rpm to setup zarafa

%changelog
* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-22
- fix shutdown patch again [SME 4883]
* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-21
- fix shutdown patch [SME 4883]

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-20
- delete-user patches removed, not required for ldap/unix [SME 4881]
- db needs create and delete, do them together, if required

* Mon Dec 21 2008 Stephen Noble <support@dungog.net> - 0.9-19
- service_link shutdown added [SME 4883]

* Sun Dec 20 2008 Stephen Noble <support@dungog.net> - 0.9-18
- ldap, bind password [SME 4869]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-17
- http alias changes [SME 4856]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-16
- minor change in ports and property names [SME 4846]

* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-15
- added action/zarafa-services-stop [SME 4870]
- .qmail-junkmail fragment fixed and expanded [SME 4705]
* Sat Dec 19 2008 Stephen Noble <support@dungog.net> - 0.9-14
- default user zarafa property to enabled [SME 4870]
- .qmail-junkmail fragment readded [SME 4705]

* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-13
- ldap plugin [SME 4869]

* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-12
- use sme ssl files fixes [SME 4846]
* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-11
- use sme ssl files fixes [SME 4836]
* Fri Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-10
- use sme ssl files [SME 4836]
- change gateway ports to standard, requires changing sme ports manually
- Requires: zarafa = 6.20, verify/update contrib before allowing updates

* Thu Dec 18 2008 Stephen Noble <support@dungog.net> - 0.9-9
- change default pop port to 8110, gateway.cfg [SME 4854]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-8
- add properties to cfg files. unix,server,ical,gateway [SME 4636]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-7
- add user-delete symlink [SME 4621]
* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-6
- add user-delete action [SME 4621]

* Wed Dec 17 2008 Stephen Noble <support@dungog.net> - 0.9-5
- remove php template: [SME 4620]

* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added template to sort junk e-mail: Bug 4705
- [0.9-4a]
* Mon Nov 03 2008 Darrell May <dmay@tallgrassranch.com>
- added /usr/bin/perl createlinks to spec file: Bug 4725
- [0.9-3a]
* Wed Oct 08 2008 Darrell May <dmay@tallgrassranch.com>
- smeserver-zarafa-0.9-2a.patch: Bug 4634
- [0.9-2a]
* Fri Oct 03 2008 Darrell May <dmay@tallgrassranch.com>
- initial release
- [0.9-1a]

%prep
%setup
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1

%build
/usr/bin/perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

